Skip to main content
GET
/
simcards
/
configurations
/
{simConfigurationId}
Get a single SIM configuration
curl --request GET \
  --url https://dashboard.hologram.io/api/1/simcards/configurations/{simConfigurationId}/ \
  --header 'Authorization: Basic <encoded-value>'
{
  "success": true,
  "data": {
    "id": 123,
    "name": "<string>",
    "description": "<string>",
    "enabled_carrier_id": 123,
    "fallback_carrier_id": 123,
    "disabled_carrier_ids": [
      123
    ],
    "vzw_sku": "<string>",
    "applicable_plan_ids": [
      123
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.hologram.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Basic authentication using API keys. Set the username to apikey and the password to your API key. You can find your API key on the Hologram Dashboard under Account Settings.

Path Parameters

simConfigurationId
integer
required

SIM configuration ID

Query Parameters

plan_ids
string

Comma-separated plan IDs; when provided, applicable_plan_ids is included in the result

orgid
integer

Organization ID; when provided, applicable_plan_ids is included in the result

Response

OK

success
boolean

Indicates whether the request was successful.

Example:

true

data
object